package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TdFileReceive;

/**
 * 涉密文件接收Mapper接口
 * 
 * @author ruoyi
 * @date 2024-05-14
 */
public interface TdFileReceiveMapper 
{
    /**
     * 查询涉密文件接收
     * 
     * @param receiveId 涉密文件接收主键
     * @return 涉密文件接收
     */
    public TdFileReceive selectTdFileReceiveByReceiveId(Long receiveId);

    /**
     * 根据fileid查询文件列表
     * @param fileId
     * @return
     */
    public List<TdFileReceive> selectTdFileReceiveByFileId(String fileId);

    public List<TdFileReceive> selectTdFileReceiveByReceiveDepart(String receiveDepart);

    /**
     * 查询涉密文件接收列表
     * 
     * @param tdFileReceive 涉密文件接收
     * @return 涉密文件接收集合
     */
    public List<TdFileReceive> selectTdFileReceiveList(TdFileReceive tdFileReceive);

    /**
     * 新增涉密文件接收
     * 
     * @param tdFileReceive 涉密文件接收
     * @return 结果
     */
    public int insertTdFileReceive(TdFileReceive tdFileReceive);

    /**
     * 修改涉密文件接收
     * 
     * @param tdFileReceive 涉密文件接收
     * @return 结果
     */
    public int updateTdFileReceive(TdFileReceive tdFileReceive);

    /**
     * 删除涉密文件接收
     * 
     * @param receiveId 涉密文件接收主键
     * @return 结果
     */
    public int deleteTdFileReceiveByReceiveId(Long receiveId);

    /**
     * 批量删除涉密文件接收
     * 
     * @param receiveIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTdFileReceiveByReceiveIds(String[] receiveIds);
}
